Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 23 Nov 2021 06:07:28 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I’m asking for my order delivery I get surprised by canceling???

Is that part of your CRM ??? 

You put your failure on the customer? 

Where is my order ? 
Why cancellation? 
What the reason of cancellation? 
After 7 days of placed order you fix your failure by cancellation without reason ? 

Is this legal??? 

I need reason for cancellation??? 

I thought CRM will call not to cancel my order ? 

Order # 8113577930
Order Date: 17 Nov 2021
Order Total: KWD 17.12 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3432607